Skip to content
Last updated

API / geotoolkit / map / sources / loaders / Google / Google

Class: Google

loaders.Google.Google

Abstract source loader that loads server settings by sending appropriate query and parsing its response The settings request could be flexibly adjusted the by additional parameters specified in 'options'. All of them will be added as a query parameter.

Example

import {ArcGISFeature} from '@int/geotoolkit/map/sources/loaders/ArcGISFeature';
const loader = new ArcGISFeature({
// all undocumented parameters would be directly added to the request:
'token': 'TikYtCP33k_Ql2mt_233AJZm3iHkFbowqWSUe9ZmkRp15PBbZLgYTEUP0sc46Nxjt5DPWBfSZst5b9ykD7x9mQ..'
});

Hierarchy

Table of contents

Constructors
  • [new Google(options)](/solutions/geotoolkit/GeoToolkit_JS/apis/classes/geotoolkit.map.sources.loaders.google.google.md#new google(options))
Methods

Contents

Constructors

new Google(options)

• new Google(options?)

Parameters

Name Type Description
Optional optionsOptionsoptions

Overrides

AbstractLoader.constructor

Methods

clone

▸ clone(): AbstractLoader

All subclasses should override copyConstructor or provide custom implementation for this method

Returns

AbstractLoader

clone

Inherited from

AbstractLoader.clone


cloneQueryParameters

▸ cloneQueryParameters(loader): Google

Copies query parameters from another loader

Parameters

Name Type Description
loaderAbstractLoaderloader to clone parameters

Returns

Google

this

Inherited from

AbstractLoader.cloneQueryParameters


copyConstructor

▸ Protected copyConstructor(src, deepCopy?): Google

Copy constructor function.<br> Function used as part of the cloning mechanism.<br> Implementations should copy the given instance state to this instance.<br>

Parameters

Name Type Description
srcAbstractLoaderSource to copy from
Optional deepCopybooleandeep copy

Returns

Google

this

Inherited from

AbstractLoader.copyConstructor


getClassName

▸ getClassName(): string

Returns

string

Inherited from

AbstractLoader.getClassName


getConnector

▸ getConnector(): AbstractConnector<any&gt;

Returns connector

Returns

AbstractConnector<any&gt;

Inherited from

AbstractLoader.getConnector


getCopyright

▸ getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

AbstractLoader.getCopyright


getRequestOptions

▸ getRequestOptions(): SendOptions

Returns google options to get the token base on configuration

Returns

SendOptions

return options for google map token

Overrides

AbstractLoader.getRequestOptions


getSettingsUrl

▸ getSettingsUrl(): string

Returns google tile server url to generate token based on key

Returns

string

google url to get token

Overrides

AbstractLoader.getSettingsUrl


loaded

▸ Protected loaded(callback): void

Resolves loading promise asynchronically

Parameters

Name Type Description
callback(loader: AbstractLoader) => voidresolving callback

Returns

void

Inherited from

AbstractLoader.loaded


parse

▸ parse(data, onload): void

Parses server data response to load google map tiles

Parameters

Name Type Description
datastring | JSONObjectdata received from the server
onload(loader: AbstractLoader) => voidfunction to be called when data is loaded

Returns

void

Overrides

AbstractLoader.parse


setQueryParameter

▸ setQueryParameter(param, value): Google

Sets the query parameter to add to the server settings request

Parameters

Name Type Description
paramstringparameter name
valuestring | number | booleanparameter value

Returns

Google

this

Inherited from

AbstractLoader.setQueryParameter


getClassName

▸ Static getClassName(): string

Returns

string

Inherited from

AbstractLoader.getClassName